/*
File Name: UniqueNumber.h
Created By: Andy Odle
Date: Mar 11, 2010

Description: 
*/

#ifndef UniqueNumber_h
#define UniqueNumber_h

#include "./source/inc/MathGOC.h"

class UniqueNumber
{
    public:
        
        static UniqueNumber *uniqueNumber_i();
        float GetANumber();

    private:
        
        UniqueNumber();
        ~UniqueNumber();
        UniqueNumber(UniqueNumber const&){}
        UniqueNumber &operator=(UniqueNumber const&){}
    
    private:
        
        unsigned int currentNumberIndex_m;
        static UniqueNumber *uniqueNumber_m;
};

#endif
